package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import java.math.BigDecimal;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CreditSuccRateAction.class */
public class CreditSuccRateAction extends LifeAction {
    private String listField;
    private String applyCountField;
    private String creditCountField;
    private String succRateField;

    public String execute(Context context) throws GENEException {
        IndexedCollection productList = context.getDataElement(this.listField);
        IndexedCollection iColl = new IndexedCollection();
        for (int i = 0; i < productList.size(); i++) {
            KeyedCollection kColl = (KeyedCollection) productList.get(i);
            int applyCount = Integer.parseInt((String) kColl.getDataValue(this.applyCountField));
            int creditCount = Integer.parseInt((String) kColl.getDataValue(this.creditCountField));
            BigDecimal value1 = new BigDecimal(applyCount);
            BigDecimal value2 = new BigDecimal(creditCount);
            if (creditCount == 0 || applyCount == 0) {
                kColl.put(this.succRateField, "0");
            } else {
                double result = value2.divide(value1, 2, 4).doubleValue();
                kColl.put(this.succRateField, Double.valueOf(result));
            }
            iColl.add(kColl);
        }
        return "0";
    }

    public void setListField(String listField) {
        this.listField = listField;
    }

    public void setApplyCountField(String applyCountField) {
        this.applyCountField = applyCountField;
    }

    public void setCreditCountField(String creditCountField) {
        this.creditCountField = creditCountField;
    }

    public void setSuccRateField(String succRateField) {
        this.succRateField = succRateField;
    }

    public static void main(String[] args) {
        BigDecimal rate = new BigDecimal(1).divide(new BigDecimal(3), 2, 4);
        System.out.println(rate);
    }
}
